'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fromEvent = fromEvent;

var _rx = require('rx');

function fromEvent(eventType, node, useCapture) {
  return _rx.Observable.create(function (observer) {
    var listener = function listener(ev) {
      return observer.next(ev);
    };

    node.addEventListener(eventType, listener, useCapture);

    return function () {
      return node.removeEventListener(eventType, listener, useCapture);
    };
  });
}