'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isolateSource = isolateSource;
exports.isolateSink = isolateSink;

var _util = require('../util');

function isolateSource(source, scope) {
  return source.select(_util.SCOPE_PREFIX + scope);
}

function isolateSink(sink, scope) {
  return sink.do(function (vTree) {
    if (vTree.data.isolate) {
      var existingScope = parseInt(vTree.data.isolate.split(_util.SCOPE_PREFIX + 'cycle')[1]);

      var _scope = parseInt(scope.split('cycle')[1]);

      if (Number.isNaN(existingScope) || Number.isNaN(_scope) || existingScope > _scope) {
        return vTree;
      }
    }
    vTree.data.isolate = _util.SCOPE_PREFIX + scope;
  });
}