'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

exports.transposeVNode = transposeVNode;

var _rx = require('rx');

function createVTree(vNode, children) {
  return {
    sel: vNode.sel,
    data: vNode.data,
    text: vNode.text,
    elm: vNode.elm,
    key: vNode.key,
    children: children
  };
}

function transposeVNode(vNode) {
  // eslint-disable-line complexity
  if (vNode && vNode.data && vNode.data.static) {
    return _rx.Observable.just(vNode);
  } else if (typeof vNode.subscribe === 'function') {
    return vNode.map(transposeVNode).switch();
  } else if (vNode !== null && (typeof vNode === 'undefined' ? 'undefined' : _typeof(vNode)) === 'object') {
    if (!vNode.children || vNode.children.length === 0) {
      return _rx.Observable.just(vNode);
    }

    return _rx.Observable.combineLatest(vNode.children.map(transposeVNode), function () {
      for (var _len = arguments.length, children = Array(_len), _key = 0; _key < _len; _key++) {
        children[_key] = arguments[_key];
      }

      return createVTree(vNode, children);
    });
  } else {
    throw new TypeError('transposition: Unhandled vNode type');
  }
}